package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused")
data class IktLosning(val id: IktLosningId, val navn: String) {
    fun toLogMessage(): String {
        return "Ikt-løsning '$navn'"
    }

    companion object {
        val unknownIktLosning = IktLosning(
            id = IktLosningId("-1"),
            navn = "Ukjent IKT-losning"
        )
    }
}

data class IktLosningId(val value: String)
