package no.vegvesen.meldingsformidler.common.openamclient

open class MeldingsformidlerOpenAmException(message: String, exception: Throwable? = null) :
    RuntimeException(message, exception)

class EmptyTokenexpirationTimeException :
    MeldingsformidlerOpenAmException(message = "No expiration date found in token.")

class OpenAmTokenException(message: String, cause: Throwable?) : MeldingsformidlerOpenAmException(message, cause)


