package no.vegvesen.meldingsformidler.common.domain

import java.time.LocalTime
import java.time.MonthDay
import org.junit.jupiter.api.Assertions.assertEquals
import org.junit.jupiter.api.Test

class TimeOfMonthTest {
    @Test
    fun `create without time results in start of day`() {
        val expected = LocalTime.MIDNIGHT

        val actual = TimeOfMonth(monthDay = MonthDay.of(1, 1)).time

        assertEquals(actual, expected)
    }
}
