package no.vegvesen.meldingsformidler.common.domain

import no.vegvesen.meldingsformidler.common.domain.PostType.UnableToParseToPostTypeEnumException
import org.assertj.core.api.Assertions.assertThat
import org.junit.jupiter.api.Test

class UnableToParseToEnumExceptionTest {

    @Test
    fun `enum exception messagge contains name and type`() {
        val expected = "Unable to parse name to PostType enum."

        val actual = UnableToParseToPostTypeEnumException("name")

        assertThat(actual).hasMessage(expected)
    }
}
