package no.vegvesen.meldingsformidler.common.extensions

import java.time.Instant
import no.vegvesen.meldingsformidler.common.extensions.InstantExtentions.utcOffset
import org.assertj.core.api.Assertions.assertThat
import org.junit.jupiter.api.Test

class InstantExtentionsTest {

    @Test
    fun `utc offset contains the vital parts as the hour changes between summer and winter time`() {
        val actual = Instant.now().utcOffset()

        assertThat(actual)
            .contains("+0")
            .contains(":00")
    }
}
