package no.vegvesen.meldingsformidler.common.domain

import kotlin.reflect.KClass

sealed class MeldingsformidlerCommonException(message: String) : RuntimeException(message)

sealed class UnableToParseToEnumException(name: String, enumClass: KClass<out Enum<*>>) :
    MeldingsformidlerCommonException("Unable to parse $name to ${enumClass.simpleName} enum.")
