package no.vegvesen.meldingsformidler.common.domain

@Suppress("unused")
enum class PostType(val id: String) {
    APost("A");

    companion object {

        fun fromString(id: String): PostType {
            for (postType in entries) {
                if (postType.id == id) return postType
            }
            throw UnableToParseToPostTypeEnumException(id)
        }
    }

    class UnableToParseToPostTypeEnumException(id: String) :
        UnableToParseToEnumException(id, PostType::class)
}



